using InfluxDB.Client.Core;

namespace Managing.Infrastructure.Databases.InfluxDb.Models;

[Measurement("agent_balance")]
public class AgentBalanceDto
{
    [Column("user_id", IsTag = true)] public int UserId { get; set; }

    [Column("total_balance_value")] public decimal TotalBalanceValue { get; set; }

    [Column("usdc_wallet_value")] public decimal UsdcWalletValue { get; set; }

    [Column("usdc_in_positions_value")] public decimal UsdcInPositionsValue { get; set; }

    [Column("bots_allocation_usd_value")] public decimal BotsAllocationUsdValue { get; set; }

    [Column("pnl")] public decimal PnL { get; set; }

    [Column(IsTimestamp = true)] public DateTime Time { get; set; }
}